ipa-test-config(1)

NAME
ipa-test-config - Generate FreeIPA test configuration for use in Bash scripts

SYNOPSIS
ipa-test-config [options]
ipa-test-config [options] --global
ipa-test-config [options] hostname

DESCRIPTION
The FreeIPA integration test suite is configured by setting environment variables. The ipa-run-tests command reads these variables and prints detailed configuration for shell-based scripts to standard output. The default output of ipa-run-tests consists of export statements that can be sourced by Bash. If run without arguments, it prints out configuration specific to the local host. Another host may be specified as an argument, or via the --master, --replica, and --client options. With the --global option, it prints only configuration that is not specific to any host.

OPTIONS

-h, --help
    Print out the command's usage and exit

--global
    Output global configuration.

--domain
    Output configuration for the given domain (environment). May be given as an index or name. By default, domain 1 is used.

--master
    Output configuration for the master

--replica
    Output configuration for the replica with the given number

--replica
    Output configuration for the client with the given number

--role
    Output configuration for the host with the given role.

--no-simple
    Do not output Simple Vars. These are normally included for backwards compatibility.

--yaml
    Output configuration in YAML format instead of Bash script. This requires the PyYAML library to be installed.

--json
    Output configuration in JSON format instead of Bash script.

ENVIRONMENT VARIABLES

File-based configuration:

$IPATEST_YAML_CONFIG
        Specifies a file that contains configuration in YAML format,
        as given by ipa-test-config --global --yaml.
        If given, the other environment variables are ignored.
        This requires the PyYAML library to be installed.

$IPATEST_JSON_CONFIG
        Specifies a file that contains configuration in JSON format,
        as given by ipa-test-config --global --json.
        If given, the other environment variables are ignored.

Domain configuration:
        Domain is implicitly defined by _envX suffix of the environment variables,
        if either AD_envX or MASTER_envX is defined.

Host configuration:

$MASTER
        FQDN of the first IPA server

$REPLICA
        FQDNs of other IPA servers (space-separated)

$CLIENT
        FQDNs of IPA clients (space-separated)

$MASTER_env2, $REPLICA_env2, $CLIENT_env2, $MASTER_env3, $AD_env4,...
        can be used for additional domains when needed

$AD_env1, $AD_env2, $AD_env3, $AD_env4, ...
        can be used to define Active Directory domains. Please note that these
        domains are not treated as separate from the IPA domains, so please use an
        unique environment suffix for each of your Active Directory domains.

$TESTHOST_<keyword>_env<e>, e.g. $TESTHOST_LEGACY_env1
        Defines a host with extra role identified as lowercased <keyword>, e.g. 'legacy'.

$BEAKER<role><num>_IP_env<e>, e.g. $BEAKERREPLICA1_IP_env1
        the IP address of the given host
        Default: resolved via gethostbyname (or DNS if $IPv6SETUP is set)

Basic configuration:

$IPATEST_DIR
        Directory for test data on the remote hosts
        Default: /root/ipatests

$DNSFORWARD
        IP of a DNS forwarder
        Default: 8.8.8.8

$IPA_ROOT_SSH_PASSWORD
        root password for the remote machines
        Used if $IPA_ROOT_SSH_KEY is not set.

$IPA_ROOT_SSH_KEY
        name of a file containing the private RSA key for root on the remote machines
        Default: ~/.ssh/id_rsa

Test customization:

$DOMAIN
        IPA domain name
        Default: taken from $MASTER

$NISDOMAIN
        NIS domain name
        Default: ipatest

$NTPSERVER
        NIS domain name
        Default: ipatest

$IPv6SETUP
        Set to TRUE for IPv6-only connectivity

$IPADEBUG
        Set to enable test debugging

$ADMINID
        Admin username
        Default: admin

$ADMINPW
        Admin user password
        Default: Secret123

$ADADMINID
        Active Directory Administrator username
        Default: Administrator

$ADADMINPW
        Active Directory Administrator password
        Default: Secret123

$ROOTDN
        Directory manager DN
        Default: cn=Directory Manager

$ROOTDNPWD
        Directory manager password
        Default: Secret123

EXIT STATUS
0 if the command was successful 1 if an error occurred

REFERENCES
A full description of the FreeIPA integration testing framework is available at http://www.freeipa.org/page/V3/Integration_testing